#include <stdio.h>
#include <math.h>

double calc(int N, int S){
	double nCk = 1.0;
	for (int i=1; i<=S; i++) nCk *= (N-i+1.0) / i;
	return nCk * pow(2.0,N-S);
}

int main(){
	for (int N,S; scanf("%d %d",&N,&S)!=EOF; ){
		if (S>N){
			puts("100.00000");
		} else {
			double total = 0, gak_dapet = calc(N,S);
			for (int i=0; i<=S; i++) total += calc(N,i);
			double dapet = total - gak_dapet;
			printf("%.5lf\n",100.0*dapet/total);
		}
	}
}
